<!DOCTYPE html>
<html lang="en">
  <head>
    <base href="/" />
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="theme-color" content="#000000" />
    <link rel="icon" href="%PUBLIC_URL%/favicon.ico" />
    <meta
      name="description"
      content="Web site created using create-react-app"
    />
    <link rel="apple-touch-icon" href="%PUBLIC_URL%/logo192.png" />
    <!--
      manifest.json provides metadata used when your web app is installed on a
      user's mobile device or desktop. See https://developers.google.com/web/fundamentals/web-app-manifest/
    -->
    <link rel="manifest" href="%PUBLIC_URL%/manifest.json" />
    <!--
      Notice the use of %PUBLIC_URL% in the tags above.
      It will be replaced with the URL of the `public` folder during the build.
      Only files inside the `public` folder can be referenced from the HTML.

      Unlike "/favicon.ico" or "favicon.ico", "%PUBLIC_URL%/favicon.ico" will
      work correctly both with client-side routing and a non-root public URL.
      Learn how to configure a non-root public URL by running `npm run build`.
    -->
    <!-- Tempusdominus Bootstrap 4 -->
    <link
      rel="stylesheet"
      href="%PUBLIC_URL%/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css"
    />

    <!-- Google Font: Source Sans Pro -->
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback"
    />
    <!-- Font Awesome -->
    <link
      rel="stylesheet"
      href="%PUBLIC_URL%/plugins/fontawesome-free/css/all.min.css"
    />
    <!-- Ionicons -->
    <link
      rel="stylesheet"
      href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css"
    />
    <!-- iCheck -->
    <link
      rel="stylesheet"
      href="%PUBLIC_URL%/plugins/icheck-bootstrap/icheck-bootstrap.min.css"
    />
    <!-- JQVMap -->
    <link rel="stylesheet" href="%PUBLIC_URL%/plugins/jqvmap/jqvmap.min.css" />
    <!-- Theme style -->
    <link rel="stylesheet" href="%PUBLIC_URL%/dist/css/adminlte.min.css" />
    <!-- overlayScrollbars -->
    <link
      rel="stylesheet"
      href="%PUBLIC_URL%/plugins/overlayScrollbars/css/OverlayScrollbars.min.css"
    />
    <!-- Daterange picker -->
    <link
      rel="stylesheet"
      href="%PUBLIC_URL%/plugins/daterangepicker/daterangepicker.css"
    />
    <!-- summernote -->
    <link
      rel="stylesheet"
      href="%PUBLIC_URL%/plugins/summernote/summernote-bs4.min.css"
    />
    <title>App</title>
    <style type="text/css">
      select[readonly] {
        pointer-events: none;
        color: #828282;
      }
      .error-message {
        background-color: red;
        color: white;
      }
      .success-message {
        color: green;
      }
      .tableFreezeHeader td:nth-child(1),
      .tableFreezeHeader th:nth-child(1) {
        position: -webkit-sticky;
        position: sticky;
        left: 0;
        z-index: 1;
        background: lightgray;
      }
      .tableFreezeHeader td:nth-child(2),
      .tableFreezeHeader th:nth-child(2) {
        position: sticky;
        left: 90.5px;
        z-index: 1;
        background: silver;
      }
      .tableFreezeHeader thead tr {
        position: sticky;
        top: 0;
        z-index: 2;
      }
      .tableFreezeHeader thead tr,
      .tableFreezeHeader th:nth-child(1),
      .tableFreezeHeader th:nth-child(2) {
        background: darkgray;
      }

      .still {
        position: sticky;
        top: 0;
        z-index: 1;
        background: rgb(255, 255, 255);
      }

      .full-modal-dialog {
        width: 98% !important;
        height: 92% !important;
        min-width: 98% !important;
        min-height: 92% !important;
        max-width: 98% !important;
        max-height: 92% !important;
        padding: 0 !important;
      }

      .full-modal-content {
        height: 99% !important;
        min-height: 99% !important;
        max-height: 99% !important;
      }
    </style>
  </head>
  <body>
    <noscript>You need to enable JavaScript to run this app.</noscript>
    <div id="root"></div>
    <!--
      This HTML file is a template.
      If you open it directly in the browser, you will see an empty page.

      You can add webfonts, meta tags, or analytics to this file.
      The build step will place the bundled scripts into the <body> tag.

      To begin the development, run `npm start` or `yarn start`.
      To create a production bundle, use `npm run build` or `yarn build`.
    -->

    <!-- jQuery -->
    <script src="%PUBLIC_URL%/plugins/jquery/jquery.min.js"></script>
    <!-- jQuery UI 1.11.4 -->
    <script src="%PUBLIC_URL%/plugins/jquery-ui/jquery-ui.min.js"></script>
    <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
    <script>
      $.widget.bridge("uibutton", $.ui.button);
    </script>
    <!-- Bootstrap 4 -->
    <script src="%PUBLIC_URL%/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- ChartJS -->
    <script src="%PUBLIC_URL%/plugins/chart.js/Chart.min.js"></script>
    <!-- Sparkline -->
    <script src="%PUBLIC_URL%/plugins/sparklines/sparkline.js"></script>
    <!-- JQVMap -->
    <script src="%PUBLIC_URL%/plugins/jqvmap/jquery.vmap.min.js"></script>
    <script src="%PUBLIC_URL%/plugins/jqvmap/maps/jquery.vmap.usa.js"></script>
    <!-- jQuery Knob Chart -->
    <script src="%PUBLIC_URL%/plugins/jquery-knob/jquery.knob.min.js"></script>
    <!-- daterangepicker -->
    <script src="%PUBLIC_URL%/plugins/moment/moment.min.js"></script>
    <script src="%PUBLIC_URL%/plugins/daterangepicker/daterangepicker.js"></script>
    <!-- Tempusdominus Bootstrap 4 -->
    <script src="%PUBLIC_URL%/plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js"></script>
    <!-- Summernote -->
    <script src="%PUBLIC_URL%/plugins/summernote/summernote-bs4.min.js"></script>
    <!-- overlayScrollbars -->
    <script src="%PUBLIC_URL%/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js"></script>
    <!-- AdminLTE App -->
    <script src="%PUBLIC_URL%/dist/js/adminlte.js"></script>
  </body>
</html>
